### Signal

# Jsonrpc Server::handle-call

since: 3.26

#### Declaration

    gboolean
    handle_call (
      JsonrpcServer* self,
      JsonrpcClient* client,
      gchar* method,
      GVariant* id,
      GVariant* params,
      gpointer user_data
    )

#### Description [src]

This method is emitted when the client requests a method call.

If you return `TRUE` from this function, you should reply to it (even upon failure), using `jsonrpc_client_reply()` or `jsonrpc_client_reply_async()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.26

#### Parameters

`client`

  Type: `JsonrpcClient`

  A `JsonrpcClient`.

  The data is owned by the caller of the function.

`method`

  Type: `gchar*`

  The method that was called.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`id`

  Type: `GVariant`

  The identifier of the method call.

  The data is owned by the caller of the function.

`params`

  Type: `GVariant`

  The parameters of the method call.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the request was handled.